1. DianServices
Bilidox
  • Raíz
    • TestService
      • valuesGetAll
      • valuesS3GetItem
      • valuesDBGetItem
      • countersDBGetItem
    • DianServices
      • NumberingRangeGetAll
        GET
      • StatusZipGetAll
        GET
      • DocumentGetItem (invoice)
        GET
      • DocumentGetItem (support)
        GET
      • DocumentGetItemPayroll
        GET
      • CustomerPartyGetItem
        GET
      • DocumentNotesGetAll
        GET
      • DocumentEventsGetAll
        GET
      • SendMailCreate
        POST
      • TestSetCreate
        POST
      • InvoiceCreate
        POST
      • InvoiceCreate Test
        POST
      • InvoiceCreate Copy OK
        POST
      • CreditnoteCreate
        POST
      • CreditnoteCreate Copy
        POST
      • EquivalentCreate
        POST
      • EquivalentCreate Copy
        POST
      • EquivalentSpdCreate
        POST
      • EquivalentSpdCreate Copy
        POST
      • SupportCreate
        POST
      • SupportCreate Copy
        POST
      • PayrollCreate
        POST
      • PayrollCreate Copy
        POST
      • EventCreate
        POST
      • EventCreate ProviderRadian
        POST
    • S3File
      • fileUrlGetItem
      • filePdfGetItem
      • fileXmlGetItem
      • fileCreate
    • DDBRepositories
      • typesGetAll
      • typesGetAllTaxes
    • DDBProvider
      • providerGetAll
      • providersGetItem
      • providersCreate
      • providersUpdate
    • DDBCompany
      • companyGetAll
      • companyGetItem
      • companyGetItemCounter
      • companyCreate
      • companyUpdate
      • companyUpdateAttach
    • DDBCounter
      • counterGetAll
      • counterGetItem
    • DDBCertificate
      • certificateGetAll
      • certificateGetItem
      • certificateFileGetItem
      • certificateCreate
      • certificateUpdate
    • DDBDocument
      • documentGetAll
      • documentGetItem
    • DDBPurchaseOrder
      • purchaseorderGetAll
      • purchaseorderGetItem
      • purchaseorderPaymentGetPayu
      • purchaseorderPaymentGetWompi
      • purchaseorderCreate
      • purchaseorderCreatePayment
      • purchaseorderCreatePayment Wompi
      • purchaseorderUpdate
    • DDBSoftware
      • softwareGetAll
      • softwareGetItem
      • softwareCreate
      • softwareUpdate
    • DDBNumeration
      • numerationGetAll
      • numerationGetItem
      • numerationCreate
      • numerationUpdate
    • DDBEmployee
      • employeeGetAll
      • employeeGetItem
      • employeeCreate
      • employeeUpdate
    • DDBCustomer
      • customerGetAll
      • customerGetItem
      • customerCreate
      • customerUpdate
    • DDBSupplier
      • supplierGetAll
      • supplierGetItem
      • supplierCreate
      • supplierUpdate
    • DDBItem
      • itemGetAll
      • itemGetItem
      • itemCreate
      • itemUpdate
    • DDBUser
      • userOauth
      • userGetAll
      • userGetItem
      • userCreate
      • userCreateIntegrations
      • userUpdate
      • userChangePassword
      • userForgotPassword
      • userResetPassword
    • DDBSecurity
      • tokenCreate
      • tokenCreateIntegrations
  1. DianServices

EquivalentSpdCreate

POST
/v1/dian/equivalent-documents/spd/

Solicitud

Autorización
Proporciona tu token bearer en el encabezado
Authorization
al realizar solicitudes a recursos protegidos.
Ejemplo:
Authorization: Bearer ********************
Parámetros de consulta

Parámetros del Body application/json

Ejemplos

Respuestas

🟢200
application/json
Bodyapplication/json

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location '/v1/dian/equivalent-documents/spd/?isTest=true&companyId=804005998&providerId=900791776' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "TypeCode": "60",
  "OperationCode": "601",
  "Number": 52608,
  "Date": "2024-05-28T17:41:47.503",
  "DueDate": "2024-03-20T00:00:00",
  "CurrencyCode": "COP",
  "Note": "",
  "OrderReference": {
    "Number": "",
    "Date": "2024-06-05T00:00:00"
  },
  "NumberingRange": {
    "Id": 0,
    "Date": "2024-05-28T00:00:00",
    "Prefix": "SPD",
    "FromNumber": 1,
    "ToNumber": 1000000,
    "TechnicalKey": "",
    "StartDate": "2024-05-28T00:00:00",
    "EndDate": "2026-05-28T00:00:00"
  },
  "SoftwareProvider": {
    "Origin": "TRANSFORWEB",
    "testSetId": "86cf4a3e-4eef-4930-9b54-38e95b08841e"
  },
  "SigningCertificate": {
    "Password": "",
    "Content": ""
  },
  "CompanyParty": {
    "ImageUrl": null,
    "Id": "804005998",
    "IdentificationType": "31",
    "Name": "EMPRESA MUNICIPAL DE SERVICIOS PUBLICOS DOMICILIARIOS DE OIBA E.S.P. OIBANA DE SERVICIOS PUBLICOS",
    "PhysicalLocation": {
      "Address": "DG 13 8 24",
      "CityCode": "68500",
      "SubentityCode": "68",
      "CountryCode": "CO",
      "CountryName": "Colombia",
      "PostalZone": ""
    },
    "OrganizationTypeCode": "2",
    "RegimeCode": "R-99-PN",
    "TaxLevelCode": "R-99-PN",
    "TaxCode": null,
    "CorporateRegistration": "000000",
    "IndustryClassificationCode": "00000",
    "Email": "oibanadeserviciospublicos@hotmail.com",
    "Phone": "7173340"
  },
  "CustomerParty": {
    "Id": "222222222",
    "IdentificationType": "31",
    "Name": "Consumidor final",
    "PhysicalLocation": {
      "Address": "",
      "CityCode": "54001",
      "SubentityCode": "54",
      "CountryCode": "CO",
      "CountryName": "Colombia",
      "PostalZone": ""
    },
    "OrganizationTypeCode": "2",
    "RegimeCode": "R-99-PN",
    "TaxLevelCode": "R-99-PN",
    "TaxCode": "",
    "CorporateRegistration": "00000",
    "IndustryClassificationCode": "",
    "Email": "consumidorfinal@gmail.com",
    "Phone": ""
  },
  "Items": [
    {
      "Code": "200332",
      "Description": "ITEM 1",
      "Quantity": 1,
      "Price": 840.34,
      "PriceReference": 27800,
      "SubtotalAmount": 840.34,
      "UnitCode": "EA",
      "BrandName": "",
      "ModelName": "",
      "Note": "",
      "Taxes": [
        {
          "Code": "01",
          "Amount": 159.66,
          "Percentage": 19,
          "TaxableAmount": 840.34,
          "PerUnitAmount": 0,
          "Concept": "Tarifa general"
        }
      ],
      "Discounts": [
        {
          "Code": "00",
          "Percentage": 0,
          "Amount": 0,
          "BaseAmount": 0,
          "Reason": "razon/motivo del descuento"
        }
      ],
      "Charges": [
        {
          "Code": "02",
          "Percentage": 0,
          "Amount": 0,
          "BaseAmount": 0,
          "Reason": "razon/motivo del recargo"
        }
      ]
    }
  ],
  "PaymentMeans": {
    "Code": "1",
    "MethodCode": "10",
    "Date": "2024-06-05T00:00:00"
  },
  "LegalMonetaryTotal": {
    "GrossAmount": 840.34,
    "TaxExclusiveAmount": 840.34,
    "TaxInclusiveAmount": 1000,
    "DiscountAmount": 0,
    "ChargeAmount": 0,
    "PrepaidAmount": 0,
    "PayableAmount": 1000
  },
  "CustomizePrintFormat": {
    "HeaderText": "",
    "FooterText": ""
  },
  "ServiceSpd": {
    "Type": "SERVICES_SPD",
    "Name": "",
    "Reason": "",
    "ContractNumber": "",
    "Date": "2024-05-28",
    "Note": "",
    "SubscriberParty": {
      "Name": "FAJARDO PRECIADO RAUL",
      "ResidentialStratum": "39",
      "physicalLocation": {
        "address": "CR 11 N. 13-47",
        "CityCode": "68500",
        "SubentityCode": "68",
        "CountryCode": ""
      },
      "ElectronicMail": ""
    },
    "SubscriberConsumption": {
      "DurationCycle": 0,
      "UnitOfTime": "",
      "Note": "",
      "PartialConsumptions": [
        {
          "MeteredQuantity": 0,
          "unitCode": "",
          "PriceAmount": 0,
          "Discounts": [
            {
              "Reason": "",
              "Amount": 0
            }
          ],
          "Charges": [
            {
              "Reason": "",
              "Amount": 0
            }
        ],
        "PayableAmount": 0,
        "CurrencyCode": "COP",
        "MeterNumber": "",
        "PreviousMeterDate": "2024-05-28",
        "PreviousMeterQuantity": 0,
        "LatestMeterDate": "2024-05-28",
        "LatestMeterQuantity": 0,
        "MeterMethod": "",
        "DurationMeasure": 0
        }
      ],
      "ConsumptionHistory": {
        "PreviousPayment": 0,
        "ConsumMonths": [
          {
            "StartDate": "2024-05-28",
            "EndDate": "2024-05-28",
            "TotalQuantity": 0,
            "DurationMeasure": 0
          }
        ],
        "ConsumptionAverage": 0,
        "DurationMeasureAverage": 0
      },
      "paymentAgreements": [
        {
          "Number": "",
          "BSName": "",
          "Description": "",
          "SubscriberPaymentsTerms": {
            "FeesToPay": 0,
            "FeesPaid": 0,
            "InterestRate": 0
          }
        }
      ]
    }
  }
}'
Respuesta Ejemplo de Respuesta
{}
Modificado en 2025-12-22 19:48:45
Anterior
EquivalentCreate Copy
Siguiente
EquivalentSpdCreate Copy
Built with